Package org.springframework.cglib.core

# Interface Constants

All Superinterfaces:
  `Opcodes`

public interface Constants extends Opcodes

Author:
  Juozas Baliuka baliuka@mwm.lt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ASM_API`
`static final String`
`CONSTRUCTOR_NAME`
`static final Class[]`
`EMPTY_CLASS_ARRAY`
`static final int`
`PRIVATE_FINAL_STATIC`
`static final Signature`
`SIG_STATIC`
`static final String`
`SOURCE_FILE`
`static final String`
`STATIC_NAME`
`static final String`
`SUID_FIELD_NAME`
`static final int`
`SWITCH_STYLE_HASH`
`static final int`
`SWITCH_STYLE_HASHONLY`
`static final int`
`SWITCH_STYLE_TRIE`
`static final Type`
`TYPE_BIG_DECIMAL`
`static final Type`
`TYPE_BIG_INTEGER`
`static final Type`
`TYPE_BOOLEAN`
`static final Type`
`TYPE_BYTE`
`static final Type`
`TYPE_CHARACTER`
`static final Type`
`TYPE_CLASS`
`static final Type`
`TYPE_CLASS_ARRAY`
`static final Type`
`TYPE_CLASS_LOADER`
`static final Type`
`TYPE_DOUBLE`
`static final Type`
`TYPE_ERROR`
`static final Type`
`TYPE_FLOAT`
`static final Type`
`TYPE_INTEGER`
`static final Type`
`TYPE_LONG`
`static final Type`
`TYPE_NUMBER`
`static final Type`
`TYPE_OBJECT`
`static final Type`
`TYPE_OBJECT_ARRAY`
`static final Type`
`TYPE_RUNTIME_EXCEPTION`
`static final Type`
`TYPE_SHORT`
`static final Type`
`TYPE_SIGNATURE`
`static final Type`
`TYPE_STRING`
`static final Type`
`TYPE_STRING_ARRAY`
`static final Type`
`TYPE_STRING_BUFFER`
`static final Type`
`TYPE_SYSTEM`
`static final Type`
`TYPE_THROWABLE`
`static final Type`
`TYPE_TYPE`
`static final Type[]`
`TYPES_EMPTY`

### Fields inherited from interface org.springframework.asm.Opcodes

`AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_MANDATED, ACC_MODULE, ACC_NATIVE, ACC_OPEN, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_RECORD, ACC_STATIC, ACC_STATIC_PHASE, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_TRANSITIVE, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASM10_EXPERIMENTAL, ASM4, ASM5, ASM6, ASM7, ASM8, ASM9, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, H_GETFIELD, H_GETSTATIC, H_INVOKEINTERFACE, H_INVOKESPECIAL, H_INVOKESTATIC, H_INVOKEVIRTUAL, H_NEWINVOKESPECIAL, H_PUTFIELD, H_PUTSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SOURCE_DEPRECATED, SOURCE_MASK, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V_PREVIEW, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7, V1_8, V10, V11, V12, V13, V14, V15, V16, V17, V18, V19, V20, V21, V22, V23, V24, V25, V26, V27, V9`

## Field Details

### ASM_API

static final int ASM_API

### EMPTY_CLASS_ARRAY

static final Class[] EMPTY_CLASS_ARRAY

### TYPES_EMPTY

static final Type[] TYPES_EMPTY

### SIG_STATIC

static final Signature SIG_STATIC

### TYPE_OBJECT_ARRAY

static final Type TYPE_OBJECT_ARRAY

### TYPE_CLASS_ARRAY

static final Type TYPE_CLASS_ARRAY

### TYPE_STRING_ARRAY

static final Type TYPE_STRING_ARRAY

### TYPE_OBJECT

static final Type TYPE_OBJECT

### TYPE_CLASS

static final Type TYPE_CLASS

### TYPE_CLASS_LOADER

static final Type TYPE_CLASS_LOADER

### TYPE_CHARACTER

static final Type TYPE_CHARACTER

### TYPE_BOOLEAN

static final Type TYPE_BOOLEAN

### TYPE_DOUBLE

static final Type TYPE_DOUBLE

### TYPE_FLOAT

static final Type TYPE_FLOAT

### TYPE_LONG

static final Type TYPE_LONG

### TYPE_INTEGER

static final Type TYPE_INTEGER

### TYPE_SHORT

static final Type TYPE_SHORT

### TYPE_BYTE

static final Type TYPE_BYTE

### TYPE_NUMBER

static final Type TYPE_NUMBER

### TYPE_STRING

static final Type TYPE_STRING

### TYPE_THROWABLE

static final Type TYPE_THROWABLE

### TYPE_BIG_INTEGER

static final Type TYPE_BIG_INTEGER

### TYPE_BIG_DECIMAL

static final Type TYPE_BIG_DECIMAL

### TYPE_STRING_BUFFER

static final Type TYPE_STRING_BUFFER

### TYPE_RUNTIME_EXCEPTION

static final Type TYPE_RUNTIME_EXCEPTION

### TYPE_ERROR

static final Type TYPE_ERROR

### TYPE_SYSTEM

static final Type TYPE_SYSTEM

### TYPE_SIGNATURE

static final Type TYPE_SIGNATURE

### TYPE_TYPE

static final Type TYPE_TYPE

### CONSTRUCTOR_NAME

static final String CONSTRUCTOR_NAME

See Also:
  - Constant Field Values

### STATIC_NAME

static final String STATIC_NAME

See Also:
  - Constant Field Values

### SOURCE_FILE

static final String SOURCE_FILE

See Also:
  - Constant Field Values

### SUID_FIELD_NAME

static final String SUID_FIELD_NAME

See Also:
  - Constant Field Values

### PRIVATE_FINAL_STATIC

static final int PRIVATE_FINAL_STATIC

See Also:
  - Constant Field Values

### SWITCH_STYLE_TRIE

static final int SWITCH_STYLE_TRIE

See Also:
  - Constant Field Values

### SWITCH_STYLE_HASH

static final int SWITCH_STYLE_HASH

See Also:
  - Constant Field Values

### SWITCH_STYLE_HASHONLY

static final int SWITCH_STYLE_HASHONLY

See Also:
  - Constant Field Values